%global momorel 16
%global scimver 1.4.9
%global libhangulver 0.1.0
%global scim_major_version 1.4.0

Summary: Hangul Input Method Engine for SCIM
Name: scim-hangul
Version: 0.3.2
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.scim-im.org/
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-0.3.2-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: scim >= %{scimver}
Requires: libhangul >= %{libhangulver}
BuildRequires: scim-devel >= %{scimver}
BuildRequires: libhangul-devel >= %{libhangulver}
BuildRequires: coreutils
Obsoletes: skim-scim-hangul

%description
Scim-hangul is a SCIM IMEngine module for Korean (Hangul) input support.

%prep
%setup -q

%patch0 -p1 -b .gcc43~

%build
%configure --enable-static=no
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/scim-1.0/%{scim_major_version}/{IMEngine,SetupUI}/hangul*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* INSTALL NEWS README*
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/hangul.so
%{_libdir}/scim-1.0/%{scim_major_version}/SetupUI/hangul-imengine-setup.so
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/scim/hangul
%{_datadir}/scim/icons/%{name}.png

%changelog
* Wed Jan 25 2012 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-16m)
- re-enable optflags
- remove a line for building skim-scim-hangul

* Mon Jan 23 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.2-15m)
- Obsoletes: scim-skim-hangul
- rebuild against libhangul-0.1.0

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.2-14m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.2-13m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.2-12m)
- full rebuild for mo7 release

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-11m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.2-10m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Aug  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.2-9m)
- change BuildRequires: skim to skim-devel

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.2-8m)
- rebuild against rpm-4.6

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.2-7m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2-6m)
- rebuild against gcc43

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-5m)
- rebuild with skim-1.4.4-0.20060301.7m

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.2-4m)
- specify KDE3 headers and libs
- modify BuildRequires

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.2-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.2-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Tue Jan  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-1m)
- version 0.3.2

* Tue Apr 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-1m)
- initial package for Momonga Linux
